HostingVault
List Vault domains
GET
/api/archive/domainsReturns domains with Vault archiving enabled or available for the authenticated user.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
customer_code?string
Customer code to filter domains by. Admin only.
archive_status?string
Vault status filter.
activating= activation is in progress.enabled= active and usable.disabling= disable operation in progress.disabled= disabled.deleting= deletion is in progress.failure= the last operation failed.
Values
activating | enabled | disabling | disabled | deleting | failuresort_field?string
Field to sort by.
sort?string
Sort direction.
asc= ascending order.desc= descending order.none= no explicit sort direction.
Values
asc | desc | nonepage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/archive/domains" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"activated_at": "string",
"archive_activated_at": "string",
"created_at": "string",
"updated_at": "string",
"status": "enabled",
"status_detail": "ok",
"archive_status": "activating",
"code": "string",
"is_healthy": true,
"name": "string",
"customer_fullname": "string",
"customer_code": "string",
"customer_catch_all": true,
"allow_nets": [
null
],
"antispam_level": 0,
"archive": true,
"manager_fullname": "string",
"manager_code": "string",
"imap_disabled": true,
"smtp_disabled": true,
"pop_disabled": true,
"webmail_disabled": true,
"calendar": true,
"meeting": true,
"activesync": true,
"chat": true,
"dav": true,
"default_retention": 0,
"default_archive": true,
"email_services": 0,
"default_quota": 0,
"dkim_public_key": "string",
"dkim_selector": "string",
"has_dkim": 0,
"dkim_last_checked_at": "string",
"dkim_last_check_ok": true,
"max_email_accounts": 0,
"max_email_accounts_archive": 0,
"max_email_accounts_25gb": 0,
"max_email_accounts_50gb": 0,
"max_email_accounts_100gb": 0,
"max_email_quota": 52428800,
"no_alias_domains": 0,
"no_alias_email_accounts": 0,
"no_email_accounts": 0,
"no_email_accounts_archive": 0,
"no_email_accounts_25gb": 0,
"no_email_accounts_50gb": 0,
"no_email_accounts_100gb": 0,
"ownership_verification_email_address": "string",
"ownership_verification_random_code": "string",
"possession_a_record": "string",
"catch_all_destination": "string",
"catch_all_enabled": true,
"outbound_limit": 0,
"postmaster_code": "string",
"postmaster_max_email_quota": 0,
"postmaster_lastauth": "string",
"plan": {
"name": "basic",
"features": [
null
]
},
"api_enabled": true,
"force_otp": true,
"block_old_password": true,
"force_password_first_login": true,
"password_expiration": -1,
"destroy_sessions_on_password_expiration": true,
"password_recovery_disabled": true,
"password_change_disabled": true,
"hide_from_addressbook_company": true,
"company": "string",
"antimalware_premium": true,
"limit_tracemail_21_days": true
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}